Class | ActiveMerchant::Billing::CVVResult
In: | lib/active_merchant/billing/cvv_result.rb
Parent: | Object

Result of the Card Verification Value check www.bbbonline.org/eExport/doc/MerchantGuide_cvv2.pdf Check additional codes from cybersource website

### Methods

messages new to_hash

### Constants

MESSAGES | = | { 'D' => 'Suspicious transaction', 'I' => 'Failed data validation check', 'M' => 'Match', 'N' => 'No Match', 'P' => 'Not Processed', 'S' => 'Should have been present', 'U' => 'Issuer unable to process request', 'X' => 'Card does not support verification'

### Attributes

code | [R] |
message | [R] |

### Public Class methods

messages()
new(code)

### Public Instance methods

to_hash()

[Validate]